# MeshSetType

Sets the Mesh type

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode PETSCDM_DLLEXPORT MeshSetType(Mesh mesh, MeshType type)

Collective on Mesh

### Input Parameters

| mesh | - the Mesh context
| type | - the type

### Options Database Key

-mesh_type <method> -Sets the type; use -help for a list of available types (for instance, cartesian or sieve)

### Notes

See "petsc/include/petscmesh.h" for available types (for instance, MESHCARTESIAN or MESHSIEVE).

### Keywords

Mesh, set, typr

### See Also

MeshGetType(), MeshType

Level:intermediate
Location: src/dm/mesh/mesh.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages